function navToggle() {
	if (document.getElementById("page-sidebar").classList.toggle("expanded")) {
		document.querySelector("header > .mobile-menu").classList.add("open");
	} else {
		document.querySelector("header > .mobile-menu").classList.remove("open");
	}
}
function mobileView(e) {
	if (e.matches) {
		document.getElementById("page-sidebar").classList.add("mobile");
	} else {
		document.getElementById("page-sidebar").classList.remove("mobile");
	}
}
var mobileQuery = window.matchMedia("only screen and (max-width: 719px)");
mobileQuery.addEventListener("change", mobileView);
mobileView(mobileQuery);
// sometimes it decides not to work on mobile. this should fix it probably.
window.addEventListener('load', function() {mobileView(mobileQuery);});

// Dark mode debugging function
function debugEnableDarkMode() {
	var sheet = document.styleSheets[1];
	for (var rule of sheet.cssRules) {
		if (rule instanceof CSSMediaRule && rule.conditionText.includes("(prefers-color-scheme: dark)")) {
			var newRuleText = "@media only screen {";
			for (var childRule of rule.cssRules) {
				newRuleText += childRule.cssText;
			}
			newRuleText += "}";
			sheet.insertRule(newRuleText, sheet.cssRules.length);
		}
	}
}
