# Public PHP for ~keith's Web site

This repository contains the core PHP scripts that power [my Web site](https://keithhacks.cyou/).
It's a bit of a spaghetti monster in here - I want to clean this up and turn it into a nice, shiny framework eventually.

BTW, this is [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/) like the rest of my site. I'd be happy to see this help other people make their own Web sites.

## What The Hell Am I Looking At?!

Pretty much everything of note is in the `sys/` directory.

`sys/templating.php` is a simple template system. It lets you define the layout of your site in one place, so you don't have to rewrite all the `<html> <head> </head> <body> ...` nonsense on every single page. Check out `sys/default_template.php` and `about_copyleft.php` to see how it's used.

`sys/navbar.php` is the code that renders the navigator. `sys/site.php` holds the sitemap it uses, and a couple other things.

Outside of `sys/`, there's also:
- SCSS stylesheets in `css/`. Just run `make` in that directory.
- `git-post-receive-hook.sh`, which needs to be placed at `.git/hooks/post-receive` on your Web server if you're using the site changelog.
- Assets which we won't worry about :-) (The icons in `assets/hicolor/` are from KDE 3, though.)
